Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1860 - Disk Druid freaks out when looking at invalid partition tables
Summary: Disk Druid freaks out when looking at invalid partition tables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-28 04:19 UTC by thalakan
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-17 21:03:32 UTC


Attachments (Terms of Use)

Description thalakan 1999-03-28 04:19:41 UTC
Disk Druid doesn't handle bad partition tables
gracefully on a 8-drive SCSI bay chained off of an Adaptec
7890 integrated SCSI controller.  Walks off the end of an
array somewhere and prints out a bunch of garbage instead of
notifying the user that the partition table is invalid.
Workaround is to disable SCSI drives without valid partition
tables during installation, or to pre-partition the drives
using a separate partitioning tool.

Comment 1 Matt Wilson 1999-04-01 05:11:59 UTC
where are you seeing the garbage?

Comment 2 thalakan 1999-04-08 06:36:59 UTC
The garbage appears when Disk Druid is listing the hard drive partitions to pull the
RedHat installation files off of.  Not sure what happens when it's listing partitions for
other actions.

Comment 3 Matt Wilson 1999-04-17 21:03:59 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.